﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title>Jquery and ASP.NET Web Service with Parameters</title>

<style type="text/css">
    
        .DivStyle
        {
            font-family: Calibri;
        }
        
        .loading
        {
	        background-image: url('Images/loading.gif');
	        background-repeat: no-repeat;
        }
    </style>   
    
<script src="Scripts/jquery-1.3.2.js" type="text/javascript"></script>
    <script type="text/javascript">
        function CallService() {
            $("#lblResult").addClass("loading");
            $("#lblResult").html('');
            $.ajax({
                type: "POST",
                url: "Service.asmx/Add",
                data: "{'num1': " + $("#txt_num1").val() + ", 'num2': " + $("#txt_num2").val() + "}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: OnSuccess,
                error: OnError
            });

            function OnSuccess(data, status) {
                $("#lblResult").removeClass("loading");
                $("#lblResult").html(data.d);
            }

            function OnError(request, status, error) {
                $("#lblResult").removeClass("loading");
                $("#lblResult").html(request.statusText);

            }
        }
    
    </script>

</head>
<body>
    <form id="serviceFrom" runat="server">
    <div id="CalcPanel" class="DivStyle">
        Enter Number 1: <input type="text" id="txt_num1" /><br />
        Enter Number 2: <input type="text" id="txt_num2" />
        <input type="button" id="btnCalc" value="Calculate" onclick ="CallService(); return false;" /><br /><br />
        Result: <table 
            style="width: 3%; height: 32px;">
            <tr>
                <td id="lblResult">
                    &nbsp;</td>
            </tr>
        </table>
        <br />
        </div>
    </form>
</body>
</html>
